View Issue Details

IDProjectCategoryView StatusLast Update
0000172TeraCopy(No Category)public2017-05-21 10:30
Reportersdemunck 
PrioritynormalSeveritycrashReproducibilityrandom
Status resolvedResolutionfixed 
Product Version3.1 
Target Version3.12Fixed in Version3.12 
Summary0000172: random crash
DescriptionCrash during a copy operation of a large amount of files, with a lot of identical (skipped) files and some files hitting the windows path size limit.
TagsNo tags attached.
OSWindows 10
OS Version64 bit

Relationships

Activities

sdemunck

2017-05-11 06:02

reporter  

bugreport.txt (28,172 bytes)
date/time          : 2017-05-11, 11:56:24, 333ms
computer name      : 5CG6116ZWB
user name          : sdemunck
operating system   : Windows 10 x64 build 14393
system language    : Dutch
system up time     : 10 minutes 54 seconds
program up time    : 5 minutes 58 seconds
processors         : 4x Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz
physical memory    : 4500/8073 MB (free/total)
free disk space    : (C:) 41,05 GB
display mode       : 1920x1080, 32 bit
process id         : $410
allocated memory   : 117,78 MB
largest free block : 995,30 MB
command line       : "C:\Program Files\TeraCopy\teracopy.exe" Copy *"C:\Users\sdemunck\AppData\Roaming\TeraCopy\FileList.dat" "T:\2017\146346_0418645763_DomeinMartinus\1 kopiename\FODFIN IDM1"
executable         : teracopy.exe
exec. date/time    : 2017-05-06 12:39
version            : 3.1.0.0
compiled with      : Delphi 10.1 Berlin
madExcept version  : 4.0.16
callstack crc      : $9d524dcd, $667c1cec, $f4c52d17
contact name       : Silas De Munck
contact email      : silas.demunck@minfin.fed.be
exception number   : 1
exception class    : EInvalidPointer
exception message  : Invalid pointer operation.

main thread ($16ec):
004085fd +011 teracopy.exe System     424   +0 TObject.FreeInstance
004a4559 +019 teracopy.exe madExcept           InterceptClassDestroy
0040876d +009 teracopy.exe System     424   +0 TObject.Destroy
0040877c +008 teracopy.exe System     424   +0 TObject.Free
00664fbf +277 teracopy.exe FileView  1023  +40 TFileView.loadItems
00665867 +15f teracopy.exe FileView  1157  +16 TFileView.scroll
006851c7 +037 teracopy.exe FileList  7005   +2 TFileList.onListMouseWheel
006712eb +0fb teracopy.exe FileList   774  +23 TFileList.WinProcList
76c6df9b +00b user32.dll                       DispatchMessageW
006a4eff +53f teracopy.exe Main      7494 +270 WinMain
006b24fc +010 teracopy.exe TeraCopy    43   +1 initialization
764462c2 +022 KERNEL32.DLL                     BaseThreadInitThunk

thread $1e18:
764462c2 +22 KERNEL32.DLL  BaseThreadInitThunk

thread $2b0:
764462c2 +22 KERNEL32.DLL  BaseThreadInitThunk

thread $1988:
764462c2 +22 KERNEL32.DLL  BaseThreadInitThunk

thread $e1c:
76c8a786 +26 user32.dll             GetMessageW
004a477d +0d teracopy.exe madExcept CallThreadProcSafe
004a47e2 +32 teracopy.exe madExcept ThreadExceptFrame
764462c2 +22 KERNEL32.DLL           BaseThreadInitThunk
>> created by main thread ($16ec) at:
73dc0891 +00 combase.dll

thread $1bc4 (TThreadPool.TQueueWorkerThread):
7674ae53 +093 KERNELBASE.dll                         WaitForSingleObjectEx
7674adad +00d KERNELBASE.dll                         WaitForSingleObject
00455ce6 +002 teracopy.exe   System.SysUtils         WaitForSyncWaitObj
00455e2f +01f teracopy.exe   System.SysUtils         WaitOrSignalObj
00409701 +065 teracopy.exe   System           424 +0 TMonitor.Wait
00409767 +017 teracopy.exe   System           424 +0 TMonitor.Wait
00561c9d +1d9 teracopy.exe   System.Threading        TThreadPool.TQueueWorkerThread.Execute
004a4897 +02b teracopy.exe   madExcept               HookedTThreadExecute
00529d9d +049 teracopy.exe   System.Classes          ThreadProc
0040a4e0 +028 teracopy.exe   System           424 +0 ThreadWrapper
004a477d +00d teracopy.exe   madExcept               CallThreadProcSafe
004a47e2 +032 teracopy.exe   madExcept               ThreadExceptFrame
764462c2 +022 KERNEL32.DLL                           BaseThreadInitThunk
>> created by main thread ($16ec) at:
00561887 +01f teracopy.exe   System.Threading        TThreadPool.TBaseWorkerThread.Create

thread $11bc (TStashWorker):
7674ae53 +93 KERNELBASE.dll                        WaitForSingleObjectEx
7674adad +0d KERNELBASE.dll                        WaitForSingleObject
00455ce6 +02 teracopy.exe   System.SysUtils        WaitForSyncWaitObj
00455e2f +1f teracopy.exe   System.SysUtils        WaitOrSignalObj
00409701 +65 teracopy.exe   System          424 +0 TMonitor.Wait
00409790 +20 teracopy.exe   System          424 +0 TMonitor.Wait
00653b8e +5a teracopy.exe   StashWorker      61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00653c91 +15 teracopy.exe   StashWorker      61 +0 {System.Generics.Collections}TThreadedQueue<Stash.TStash>.PopItem
00651dd9 +59 teracopy.exe   StashWorker      75 +8 TStashWorker.Execute
004a4897 +2b teracopy.exe   madExcept              HookedTThreadExecute
00529d9d +49 teracopy.exe   System.Classes         ThreadProc
0040a4e0 +28 teracopy.exe   System          424 +0 ThreadWrapper
004a477d +0d teracopy.exe   madExcept              CallThreadProcSafe
004a47e2 +32 teracopy.exe   madExcept              ThreadExceptFrame
764462c2 +22 KERNEL32.DLL                          BaseThreadInitThunk
>> created by thread $1bc4 (TThreadPool.TQueueWorkerThread) at:
00651ccf +23 teracopy.exe   StashWorker      33 +1 TStashWorker.Create

thread $254c:
764462c2 +22 KERNEL32.DLL  BaseThreadInitThunk

thread $213c:
76751c8a +ea KERNELBASE.dll           WaitForMultipleObjectsEx
004a477d +0d teracopy.exe   madExcept CallThreadProcSafe
004a47e2 +32 teracopy.exe   madExcept ThreadExceptFrame
764462c2 +22 KERNEL32.DLL             BaseThreadInitThunk
>> created by main thread ($16ec) at:
73dc0891 +00 combase.dll

modules:
00400000 teracopy.exe               3.1.0.0             C:\Program Files\TeraCopy
0f430000 OneCoreCommonProxyStub.dll 10.0.14393.0        C:\Windows\System32
50000000 cscobj.dll                 10.0.14393.0        C:\WINDOWS\System32
50040000 usermgrcli.dll             10.0.14393.0        C:\WINDOWS\SYSTEM32
5d6c0000 explorerframe.dll          10.0.14393.953      C:\WINDOWS\system32
60470000 msvcp110_win.dll           10.0.14393.0        C:\WINDOWS\SYSTEM32
604e0000 policymanager.dll          10.0.14393.953      C:\WINDOWS\SYSTEM32
62870000 windowscodecs.dll          10.0.14393.1066     C:\WINDOWS\system32
64480000 edputil.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
64db0000 ActXPrxy.dll               10.0.14393.1066     C:\Windows\System32
64f40000 twinapi.appcore.dll        10.0.14393.1066     C:\Windows\System32
650f0000 RMCLIENT.dll               10.0.14393.0        C:\Windows\System32
653e0000 igc32.dll                  20.19.15.4444       C:\WINDOWS\SYSTEM32
66080000 igd10iumd32.dll            20.19.15.4444       C:\WINDOWS\SYSTEM32
688b0000 d2d1.dll                   10.0.14393.693      C:\WINDOWS\SYSTEM32
6be90000 dxgi.dll                   10.0.14393.953      C:\WINDOWS\SYSTEM32
6bf20000 d3d11.dll                  10.0.14393.953      C:\WINDOWS\SYSTEM32
6c720000 DWRITE.DLL                 10.0.14393.953      C:\WINDOWS\SYSTEM32
6f020000 dbgcore.DLL                10.0.14321.1024     C:\WINDOWS\SYSTEM32
6f050000 NTASN1.dll                 10.0.14393.0        C:\WINDOWS\SYSTEM32
6f080000 ncrypt.dll                 10.0.14393.0        C:\WINDOWS\SYSTEM32
6f240000 FaultRep.dll               10.0.14393.0        C:\WINDOWS\SYSTEM32
71c90000 XmlLite.dll                10.0.14393.0        C:\Windows\System32
72650000 netutils.dll               10.0.14393.0        C:\WINDOWS\SYSTEM32
72660000 cscapi.dll                 10.0.14393.0        C:\WINDOWS\SYSTEM32
72670000 wkscli.dll                 10.0.14393.0        C:\WINDOWS\SYSTEM32
72680000 DAVHLPR.dll                10.0.14393.0        C:\WINDOWS\System32
72690000 davclnt.dll                10.0.14393.0        C:\WINDOWS\System32
726b0000 drprov.dll                 10.0.14393.0        C:\WINDOWS\System32
726c0000 ntlanman.dll               10.0.14393.0        C:\WINDOWS\System32
72820000 propsys.dll                7.0.14393.0         C:\WINDOWS\system32
729a0000 sxs.dll                    10.0.14393.0        C:\WINDOWS\SYSTEM32
730a0000 WINSTA.dll                 10.0.14393.0        C:\WINDOWS\System32
730f0000 netapi32.dll               10.0.14393.0        C:\WINDOWS\SYSTEM32
73110000 dwmapi.dll                 10.0.14393.206      C:\WINDOWS\system32
73150000 WINMMBASE.dll              10.0.14393.0        C:\WINDOWS\SYSTEM32
73180000 uxtheme.dll                10.0.14393.0        C:\WINDOWS\system32
73200000 comctl32.dll               6.10.14393.953      C:\WINDOWS\WinSxS\x86_microsoft.windows.common-controls_6595b64144ccf1df_6.0.14393.953_none_89c2555adb023171
73410000 winmm.dll                  10.0.14393.0        C:\WINDOWS\SYSTEM32
73440000 wsock32.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
73550000 WTSAPI32.dll               10.0.14393.0        C:\WINDOWS\System32
73560000 dbghelp.dll                10.0.14321.1024     C:\WINDOWS\SYSTEM32
73960000 MPR.dll                    10.0.14393.0        C:\WINDOWS\SYSTEM32
73980000 USERENV.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
73a30000 bcrypt.dll                 10.0.14393.576      C:\WINDOWS\SYSTEM32
73a50000 rsaenh.dll                 10.0.14393.0        C:\WINDOWS\system32
73a80000 CRYPTSP.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
73aa0000 ntmarta.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
73ad0000 version.dll                10.0.14393.0        C:\WINDOWS\SYSTEM32
73b90000 CRYPTBASE.dll              10.0.14393.0        C:\WINDOWS\System32
73ba0000 SspiCli.dll                10.0.14393.576      C:\WINDOWS\System32
73bc0000 GDI32.dll                  10.0.14393.206      C:\WINDOWS\System32
73bf0000 kernel.appcore.dll         10.0.14393.0        C:\WINDOWS\System32
73c00000 ucrtbase.dll               10.0.14393.0        C:\WINDOWS\System32
73ce0000 bcryptPrimitives.dll       10.0.14393.0        C:\WINDOWS\System32
73d50000 combase.dll                10.0.14393.576      C:\WINDOWS\System32
74010000 windows.storage.dll        10.0.14393.1066     C:\WINDOWS\System32
74580000 ole32.dll                  10.0.14393.1066     C:\WINDOWS\System32
74670000 comdlg32.dll               10.0.14393.479      C:\WINDOWS\System32
74760000 msvcp_win.dll              10.0.14393.0        C:\WINDOWS\System32
747e0000 gdi32full.dll              10.0.14393.1066     C:\WINDOWS\System32
74940000 clbcatq.dll                2001.12.10941.16384 C:\WINDOWS\System32
74a50000 oleaut32.dll               10.0.14393.1066     C:\WINDOWS\System32
74af0000 msvcrt.dll                 7.0.14393.0         C:\WINDOWS\System32
74bd0000 shlwapi.dll                10.0.14393.0        C:\WINDOWS\System32
74c20000 powrprof.dll               10.0.14393.0        C:\WINDOWS\System32
74c70000 sechost.dll                10.0.14393.0        C:\WINDOWS\System32
74cc0000 SHELL32.dll                10.0.14393.1066     C:\WINDOWS\System32
760a0000 profapi.dll                10.0.14393.0        C:\WINDOWS\System32
760b0000 IMM32.DLL                  10.0.14393.0        C:\WINDOWS\System32
760e0000 shcore.dll                 10.0.14393.953      C:\WINDOWS\System32
76170000 CRYPT32.dll                10.0.14393.351      C:\WINDOWS\System32
762f0000 MSCTF.dll                  10.0.14393.953      C:\WINDOWS\System32
76430000 KERNEL32.DLL               10.0.14393.0        C:\WINDOWS\System32
76510000 WS2_32.dll                 10.0.14393.206      C:\WINDOWS\System32
765d0000 MSASN1.dll                 10.0.14393.0        C:\WINDOWS\System32
76640000 cfgmgr32.dll               10.0.14393.0        C:\WINDOWS\System32
76680000 KERNELBASE.dll             10.0.14393.1066     C:\WINDOWS\System32
76830000 win32u.dll                 10.0.14393.51       C:\WINDOWS\System32
76c60000 user32.dll                 10.0.14393.576      C:\WINDOWS\System32
76dc0000 advapi32.dll               10.0.14393.0        C:\WINDOWS\System32
76e40000 coml2.dll                  10.0.14393.0        C:\WINDOWS\System32
77010000 RPCRT4.dll                 10.0.14393.82       C:\WINDOWS\System32
770e0000 ntdll.dll                  10.0.14393.479      C:\WINDOWS\SYSTEM32
77cf0000 thumbcache.dll             10.0.14393.953      C:\Windows\System32
77d40000 wpnapps.dll                10.0.14393.1066     C:\Windows\System32

processes:
0000 Idle                       0 0   0
0004 System                     0 0   0
01b8 Secure System              0 0   0
01bc smss.exe                   0 0   0
0240 csrss.exe                  0 0   0
0298 wininit.exe                0 0   0
02a0 csrss.exe                  1 0   0
02e0 services.exe               0 0   0
02f0 LsaIso.exe                 0 0   0
02f8 lsass.exe                  0 0   0
0340 winlogon.exe               1 0   0
03a8 svchost.exe                0 0   0
03f0 svchost.exe                0 0   0
0424 svchost.exe                0 0   0
042c svchost.exe                0 0   0
0434 svchost.exe                0 0   0
043c svchost.exe                0 0   0
0444 svchost.exe                0 0   0
0478 dwm.exe                    1 0   0
051c svchost.exe                0 0   0
0554 svchost.exe                0 0   0
057c WUDFHost.exe               0 0   0
068c TeraCopyService.exe        0 0   0
0728 dasHost.exe                0 0   0
0738 WUDFHost.exe               0 0   0
0774 igfxCUIService.exe         0 0   0
0828 svchost.exe                0 0   0
08ac hpservice.exe              0 0   0
091c dsAccessService.exe        0 0   0
0924 svchost.exe                0 0   0
0a4c svchost.exe                0 0   0
0adc spoolsv.exe                0 0   0
0b8c svchost.exe                0 0   0
08e4 svchost.exe                0 0   0
0914 OfficeClickToRun.exe       0 0   0
0900 CxUtilSvc.exe              0 0   0
0b70 ibtsiva.exe                0 0   0
094c srvany.exe                 0 0   0
0c34 svchost.exe                0 0   0
0c60 TeamViewer_Service.exe     0 0   0
0c6c dsNcService.exe            0 0   0
0c80 HotkeyService.exe          0 0   0
0cc4 SynTPEnhService.exe        0 0   0
0cf8 MsMpEng.exe                0 0   0
0d20 mvaservice.exe             0 0   0
0d34 Memory Compression         0 0   0
0e70 LicensingService.exe       0 0   0
0ea0 sqlwriter.exe              0 0   0
0ed8 CodeMeter.exe              0 0   0
0c40 sqlceip.exe                0 0   0
0e64 sqlceip.exe                0 0   0
0f8c WmiPrvSE.exe               0 0   0
1064 NisSrv.exe                 0 0   0
120c mvaservice_checker.exe     0 0   0
1320 SynTPEnh.exe               1 93  47  above normal C:\Program Files\Synaptics\SynTP
1334 sihost.exe                 1 4   32  normal       C:\Windows\System32
1368 svchost.exe                1 4   1   normal       C:\Windows\System32
13a8 taskhostw.exe              1 13  14  normal       C:\Windows\System32
13d4 MicTray64.exe              1 0   0
10f8 msoia.exe                  1 4   9   below normal C:\Program Files (x86)\Microsoft Office\root\Office16
1254 RuntimeBroker.exe          1 35  70  normal       C:\Windows\System32
0f40 TeamViewer.exe             1 166 48  normal       C:\Program Files (x86)\Teamviewer\Version7
1434 SynTPHelper.exe            1 0   0
1488 tv_w32.exe                 1 0   0
149c tv_x64.exe                 1 0   0
14dc PresentationFontCache.exe  0 0   0
1504 explorer.exe               1 685 505 normal       C:\Windows
1600 ShellExperienceHost.exe    1 4   54  normal       C:\Windows\SystemApps\ShellExperienceHost_cw5n1h2txyewy
1708 igfxEM.exe                 1 13  16  normal       C:\Windows\System32
1750 SearchIndexer.exe          0 0   0
1778 igfxHK.exe                 1 13  15  normal       C:\Windows\System32
17b8 igfxTray.exe               1 7   5   normal       C:\Windows\System32
0d28 TSVNCache.exe              1 4   4   normal       C:\Program Files\TortoiseSVN\bin
1998 smartscreen.exe            1 4   2   normal       C:\Windows\System32
19cc MSASCuiL.exe               1 393 136 normal       C:\Program Files\Windows Defender
1a00 RtsCM64.exe                1 7   11  normal       C:\Windows
1a24 WmiPrvSE.exe               0 0   0
1a98 SmartAudio3.exe            1 15  20  normal       C:\Program Files\CONEXANT\SA3\HP-NB-AIO
1aa0 AppInstall.exe             1 4   2   normal       C:\Windows\UDI
1ab0 OneDrive.exe               1 49  39  normal       C:\Users\sdemunck\AppData\Local\Microsoft\OneDrive
1b84 lync.exe                   1 154 131 normal       C:\Program Files (x86)\Microsoft Office\root\Office16
1bec ultracopier.exe            1 60  42  normal       C:\Program Files\Ultracopier
18d0 QLBController.exe          1 31  11  normal       C:\Program Files (x86)\HP\HP Hotkey Support
181c AccelerometerSt.exe        1 17  13  normal       C:\Program Files (x86)\Hewlett-Packard\HP 3D DriveGuard
194c GROOVE.EXE                 1 105 56  normal       C:\Program Files (x86)\Microsoft Office\root\Office16
1670 hpqwmiex.exe               0 0   0
1b24 unsecapp.exe               1 4   5   normal       C:\Windows\System32\wbem
1414 IntoanAgent.exe            1 328 151 normal       C:\Program Files (x86)\Intoan\Agent
15ac TrayTipAgentE.exe          1 4   1   normal       C:\Program Files (x86)\EaseUS\EaseUS Partition Master 12.0\bin\TrayPopupE
1914 MSOSYNC.EXE                1 56  27  normal       C:\Program Files (x86)\Microsoft Office\root\Office16
17c8 svchost.exe                0 0   0
1c24 dllhost.exe                1 4   4   normal       C:\Windows\System32
0484 CcmExec.exe                0 0   0
1f34 WmiPrvSE.exe               0 0   0
0590 CmRcService.exe            0 0   0
1ac0 InstallAgent.exe           1 4   1   normal       C:\Windows\System32
09bc InstallAgentUserBroker.exe 1 4   1   normal       C:\Windows\System32
1228 WmiPrvSE.exe               0 0   0
1ae4 WmiPrvSE.exe               0 0   0
208c policyHost.exe             0 0   0
20bc WmiPrvSE.exe               0 0   0
2394 SearchUI.exe               1 15  43  normal       C:\Windows\SystemApps\Microsoft.Windows.Cortana_cw5n1h2txyewy
1290 SCNotification.exe         1 10  11  normal       C:\Windows\CCM
0668 OUTLOOK.EXE                1 533 403 normal       C:\Program Files (x86)\Microsoft Office\root\Office16
0410 TeraCopy.exe               1 206 143 normal       C:\Program Files\TeraCopy
150c chrome.exe                 1 63  47  normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
2328 chrome.exe                 1 4   4   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
239c chrome.exe                 1 4   4   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
21a8 chrome.exe                 1 12  11  normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
13e4 chrome.exe                 1 4   1   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
20ec chrome.exe                 1 0   0   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
20f0 chrome.exe                 1 0   0   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
1f0c chrome.exe                 1 0   0   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
1a50 chrome.exe                 1 0   0   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
2754 chrome.exe                 1 0   0   normal       C:\Users\sdemunck\AppData\Local\Google\Chrome\Application
2548 ApplicationFrameHost.exe   1 15  7   normal       C:\Windows\System32
25f4 WmiPrvSE.exe               0 0   0
1ec4 WmiPrvSE.exe               0 0   0
1eb8 audiodg.exe                0 0   0

hardware:
+ {1ed2bbf9-11f0-4084-b21f-ad83a8e6dcdc}
  - \\ECOEQPS01\Papyrus2-RICOH
  - \\finvmprintp01\RICOH-3352-W432K100757
  - \\finvmprintp01\RICOH-3352-W432K200372
  - Fax
  - Hoofdafdrukwachtrij
  - Microsoft Print to PDF
  - Microsoft XPS Document Writer
  - PDFCreator
  - Send To OneNote 2016
  - Verzenden naar OneNote 2013
+ {36fc9e60-c465-11cf-8056-444553540000}
  - Generieke USB-hub
  - Intel(R) USB 3.0 eXtensible Host Controller - 1.0 (Microsoft)
  - Samengesteld USB-apparaat
  - Samengesteld USB-apparaat
  - USB-apparaat voor massaopslag
  - USB-hoofdhub (xHCI)
+ {4d36e966-e325-11ce-bfc1-08002be10318}
  - ACPI x64-pc
+ {4d36e967-e325-11ce-bfc1-08002be10318}
  - ST500LM021-1KJ152
  - WD My Passport 0820 USB Device
+ {4d36e968-e325-11ce-bfc1-08002be10318}
  - Intel(R) HD Graphics 520 (driver 20.19.15.4444)
+ {4d36e96a-e325-11ce-bfc1-08002be10318}
  - Intel(R) 6th Generation Core Processor Family Platform I/O SATA AHCI Controller (driver 14.6.4.1033)
+ {4d36e96b-e325-11ce-bfc1-08002be10318}
  - HID-toetsenbordapparaat
  - Standaard PS/2-toetsenbord
+ {4d36e96c-e325-11ce-bfc1-08002be10318}
  - Conexant ISST Audio (driver 9.0.69.53)
  - Intel(R) Display Audio (driver 8.20.0.865)
+ {4d36e96e-e325-11ce-bfc1-08002be10318}
  - Algemeen PnP-beeldscherm
  - Algemeen PnP-beeldscherm
  - Dell P2414H(DisplayPort) (driver 1.0.0.0)
+ {4d36e96f-e325-11ce-bfc1-08002be10318}
  - HID-muis
  - HID-muis
  - Synaptics SMBus TouchPad (driver 19.0.19.54)
+ {4d36e970-e325-11ce-bfc1-08002be10318}
  - Realtek PCIE CardReader (driver 10.0.10143.21278)
+ {4d36e972-e325-11ce-bfc1-08002be10318}
  - Bluetooth Device (Personal Area Network)
  - Bluetooth Device (RFCOMM Protocol TDI)
  - Intel(R) Dual Band Wireless-AC 8260 (driver 18.40.0.12)
  - Intel(R) Ethernet Connection I219-LM (driver 12.13.17.7)
  - iphttpsinterface
  - Juniper Network Connect Virtual Adapter (driver 8.0.0.1)
  - Microsoft ISATAP Adapter
  - Microsoft ISATAP Adapter #2
  - Microsoft Kernel Debug Network Adapter
  - Microsoft Wi-Fi Direct Virtual Adapter
  - VirtualBox Host-Only Ethernet Adapter (driver 5.1.22.0)
+ {4d36e978-e325-11ce-bfc1-08002be10318}
  - Communications Port (COM5)
  - Intel(R) Active Management Technology - SOL (COM3) (driver 11.0.0.1136)
+ {4d36e97b-e325-11ce-bfc1-08002be10318}
  - Controlefunctie voor opslagruimten van Microsoft
+ {4d36e97d-e325-11ce-bfc1-08002be10318}
  - ACPI-deksel
  - ACPI-slaapstandknop
  - BIOS-stuurprogramma voor Microsoft Systeembeheer
  - Composite Bus Enumerator
  - HP Mobile Data Protection Sensor (driver 6.0.19.1)
  - Intel(R) 100 Series Chipset Family LPC Controller/eSPI Controller - 9D48 (driver 10.1.1.11)
  - Intel(R) 100 Series Chipset Family PCI Express Root Port #2 - 9D11 (driver 10.1.1.11)
  - Intel(R) 100 Series Chipset Family PCI Express Root Port #4 - 9D13 (driver 10.1.1.11)
  - Intel(R) 100 Series Chipset Family PMC - 9D21 (driver 10.1.1.11)
  - Intel(R) 100 Series Chipset Family Thermal subsystem - 9D31 (driver 10.1.1.11)
  - Intel(R) Management Engine Interface  (driver 11.6.0.1042)
  - Intel(R) Power Engine-invoegtoepassing
  - Intel(R) Smart Sound Technologie OED (driver 8.20.0.931)
  - Intel(R) Smart Sound Technologie-audiocontroller (driver 8.20.0.931)
  - Knop voor vaste ACPI-functies
  - Microsoft ACPI-compatibele ingesloten controller
  - Microsoft Basic Display-stuurprogramma
  - Microsoft Basic Render-stuurprogramma
  - Microsoft UEFI-compatibel systeem
  - Microsoft Virtual Drive Enumerator
  - Microsoft Windows Beheerinterface voor ACPI
  - Microsoft Windows Beheerinterface voor ACPI
  - Microsoft Windows Beheerinterface voor ACPI
  - Nauwkeurige gebeurtenistimer
  - NDIS Virtual Network Adapter Enumerator
  - PCI Express Root Complex
  - PCI-standaard host-CPU-brug
  - Programmeerbare interruptcontroller
  - Remote Desktop Device Redirector Bus
  - Remote Desktop USB Hub
  - Synaptics SMBus Driver (driver 19.0.19.54)
  - Systeem dat voldoet aan Microsoft ACPI
  - Systeem-CMOS/realtime klok
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemkaartbronnen
  - Systeemtimer
  - Teller voor Plug en Play-apparatuur
  - Thermische ACPI-zone
  - Thermische ACPI-zone
  - Thermische ACPI-zone
  - Thermische ACPI-zone
  - Thermische ACPI-zone
  - Thermische ACPI-zone
  - UMBus Enumerator
  - UMBus Enumerator
  - UMBus Enumerator
  - UMBus Root Bus Enumerator
  - Verouderd apparaat
  - Volumebeheer
+ {50127dc3-0f36-415e-a6cc-4cb3be910b65}
  - Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz
  - Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz
  - Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz
  - Intel(R) Core(TM) i5-6300U CPU @ 2.40GHz
+ {5175d334-c371-4806-b3ba-71fd53c9258d}
  - Microsoft Visual Studio Location Simulator Sensor (driver 11.0.0.0)
+ {533c5b84-ec70-11d2-9505-00c04f79deaf}
  - Algemene schaduwkopie van volume
+ {62f9c741-b25a-46ce-b54c-9bccce08b6f2}
  - Bluetooth
  - Microsoft Device Association Root Enumerator
  - Microsoft GS Wavetable Synth
  - Microsoft Passport Container Enumeration Bus
  - Microsoft Radio Device Enumeration Bus
  - Microsoft-adapterbus voor overgang van IPv4 naar IPv6
  - Smart Card Device Enumeration Bus
  - Wi-Fi
+ {6bdd1fc6-810f-11d0-bec7-08002be2092f}
  - HP HD Camera (driver 10.0.14393.11237)
+ {72631e54-78a4-11d0-bcf7-00aa00b7b32a}
  - Batterij die voldoet aan Microsoft ACPI-besturingsmethode
  - Microsoft AC-adapter
+ {745a17a0-74d3-11d0-b6fe-00a0c90f57da}
  - HID-apparaat voor besturing door gebruikers
  - HID-compatibel touchpad
  - HID-compatibel, door leverancier gedefinieerd apparaat
  - HID-compatibele systeemcontroller
  - HID-compatibele, draadloze radiobesturingen
  - HP Wireless Button Driver (driver 1.1.17.1)
  - Microsoft Input Configuration Device
  - Synaptics HID-Compliant Touch pad Device (driver 19.0.19.54)
  - USB-invoerapparaat
  - USB-invoerapparaat
  - USB-invoerapparaat
+ {8496e87e-c0a1-4102-9d8d-bd9a9b8b07a9}
  - WD SES Device (driver 1.1.0.0)
+ {c166523c-fe0c-4a94-a586-f1a80cfbbf3e}
  - Internal Microphone (Conexant ISST Audio)
  - Speakers (Conexant ISST Audio)
+ {d94ee5d8-d189-4994-83d2-f68d7d41b0e6}
  - Trusted Platform Module 1.2
+ {e0cbf06c-cd8b-4647-bb8a-263b43f0f974}
  - Intel(R) Wireless Bluetooth(R) (driver 19.0.1621.3340)
  - Microsoft Bluetooth-enumerator
  - Microsoft Bluetooth-enumerator
+ {eec5ad98-8080-425f-922a-dabf3de3f69a}
  - FODFIN_IDM_
  - TOOLS
+ {f2e7dd72-6468-4e36-b6f1-6488f42c1b52}
  - Systeemfirmware

stack dump:
0019fab8  de fa ed 0e 01 00 00 00 - 00 00 00 00 32 a9 75 76  ............2.uv
0019fac8  07 00 00 00 fd 85 40 00 - 58 80 93 02 fd 85 40 00  ......@.X.....@.
0019fad8  fd 85 40 00 70 fc 19 00 - 60 fb 19 00 48 fb 19 00  ..@.p...`...H...
0019fae8  52 00 00 00 01 00 00 00 - 06 02 20 00 70 fc 19 00  R......... .p...
0019faf8  fd 85 40 00 60 fb 19 00 - 14 fb 19 00 fd 85 40 00  ..@.`.........@.
0019fb08  e8 fa 19 00 ce 5b 2f 7f - 30 3d ce 00 60 fb 19 00  .....[/.0=..`...
0019fb18  fd 85 40 00 de fa ed 0e - 01 00 00 00 07 00 00 00  ..@.............
0019fb28  2c fb 19 00 fd 85 40 00 - 58 80 93 02 fd 85 40 00  ,.....@.X.....@.
0019fb38  fd 85 40 00 70 fc 19 00 - 60 fb 19 00 48 fb 19 00  ..@.p...`...H...
0019fb48  02 00 00 00 f4 6f 40 00 - 88 fc 19 00 90 a4 82 0a  .....o@.........
0019fb58  37 70 40 00 90 a4 82 02 - 1c fc 19 00 fd 85 40 00  7p@...........@.
0019fb68  90 a4 82 0a 5c 45 4a 00 - f0 11 67 00 72 87 40 00  ....\EJ...g.r.@.
0019fb78  7f 87 40 00 c4 4f 66 00 - 8c fb 19 00 d4 9b 40 00  ..@..Of.......@.
0019fb88  1c fc 19 00 90 fd 19 00 - d4 9b 40 00 1c fc 19 00  ..........@.....
0019fb98  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0019fba8  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0019fbb8  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0019fbc8  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0019fbd8  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................
0019fbe8  00 00 00 00 00 00 00 00 - 00 00 00 00 00 00 00 00  ................

disassembling:
[...]
004085ed       mov     ebx, eax
004085ef       mov     eax, ebx
004085f1       call    +$1ea ($4087e0)        ; System.TObject.CleanupInstance
004085f6       mov     eax, ebx
004085f8       call    -$1749 ($406eb4)       ; System.@FreeMem
004085fd     > pop     ebx
004085fe       ret

error details:
During a copy operation of a large amount of files, with a lot of skipped files and some files hitting the windows path limit.

bugreport.txt (28,172 bytes)

CodeSector

2017-05-21 10:30

administrator   ~0000117

Please test this version: https://s3.amazonaws.com/codesector-us/teracopy3.12.exe

Issue History

Date Modified Username Field Change
2017-05-11 06:02 sdemunck New Issue
2017-05-11 06:02 sdemunck File Added: bugreport.txt
2017-05-19 07:16 CodeSector Status new => resolved
2017-05-19 07:16 CodeSector Resolution open => fixed
2017-05-19 07:16 CodeSector Product Version => 3.1
2017-05-19 07:16 CodeSector Fixed in Version => 3.12
2017-05-19 07:16 CodeSector Target Version => 3.12
2017-05-19 07:16 CodeSector OS Version 64 bit => 64 bit
2017-05-21 10:30 CodeSector Note Added: 0000117